EN
  • Čeština
  • Español
  • Italiano
  • Deutsch
  • Polski
  • Français
Login

Firmware Update Required #13701 (MK4) #21701 (MK3.9) #23701 (MK3.5)

Menu
Relevant for:
Last updated a month ago
This article is also available in following languages: 
CSPLDEESITFR

What happened?

The Original Prusa MK4, MK3.9, and MK3.5 are equipped with the xBuddy board. Thanks to this, and the capability for firmware to check for the connected components, the printer can detect a firmware installed for the wrong printer version.

In case the printer recognizes a wrong firmware version is installed, it shows the message "To continue, please insert the bundled USB flash drive and install the MK4/MK3.9/MK3.5 firmware", with just the detected printer model shown in the message. 

Error name: Different FW Required

Error code: #13701 (MK4) #21701 (MK3.9) #23701 (MK3.5)

How to fix it?

Download the firmware, and ensure the version is compatible with your printer model.

Transfer the firmware file to your USB drive. Make sure to unmount the drive from your operating system before physically removing it. Then, follow the procedure for firmware flashing.

Are you still having issues? Contact our support team and let them know that you tried to fix the issue with these instructions. We will take it from there.
Was this article helpful?

Comments

Still have questions?

Still have questions?

If you have a question about something that isn't covered here, check out our additional resources.
And if that doesn't do the trick, you can send an inquiry to [email protected] or through the button below.

Contact us